Bug 1173070 - (CVE-2020-13999) VUL-0: CVE-2020-13999: libEMF: integer overflow and denial of service in ScaleViewPortExtEx
(CVE-2020-13999)
VUL-0: CVE-2020-13999: libEMF: integer overflow and denial of service in Scal...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/261541/
CVSSv3.1:SUSE:CVE-2020-13999:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-17 12:31 UTC by Robert Frohl
Modified: 2022-09-16 12:16 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Robert Frohl 2020-06-17 12:38:39 UTC
tracking both SUSE:SLE-12:Update and SUSE:SLE-15:Update as affected.
Comment 3 Robert Frohl 2020-06-17 12:41:17 UTC
maybe it makes sense to include the sanity check, that x_num, x_den, y_num, y_den are not 0, into the diff.
Comment 7 Jason Sikes 2022-08-26 23:35:11 UTC
Working on SUSE:SLE-12:Update and SUSE:SLE-15:Update
Comment 8 Jason Sikes 2022-08-27 01:25:33 UTC
Submitted:

SUSE:SLE-12:Update : created request id 278469
SUSE:SLE-15:Update : created request id 278470
Comment 9 Jason Sikes 2022-08-27 01:44:14 UTC
(In reply to Robert Frohl from comment #3)
> maybe it makes sense to include the sanity check, that x_num, x_den, y_num,
> y_den are not 0, into the diff.

Yes, yes it does make sense.

Resubmitted and superseded:

SUSE:SLE-12:Update : created request id 278472
SUSE:SLE-15:Update : created request id 278471
Comment 11 Jason Sikes 2022-08-29 22:26:36 UTC
My part is done, I think. Assigning to security-team.
Comment 12 Swamp Workflow Management 2022-09-08 13:58:41 UTC
SUSE-SU-2022:3190-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1173070
CVE References: CVE-2020-13999
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    libEMF-1.0.7-11.6.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libEMF-1.0.7-11.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-09-08 14:11:13 UTC
SUSE-SU-2022:3191-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1173070
CVE References: CVE-2020-13999
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libEMF-1.0.7-150000.3.6.1
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    libEMF-1.0.7-150000.3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Marcus Meissner 2022-09-16 12:16:04 UTC
done